{%- from 'components/logo.html.jinja' import redaktion_logo_small -%}
{% from 'components/breadcrumbs.html.jinja' import breadcrumbs %}

{%- macro service_header(header, baseurl) -%}
  <header class="container-fluid border-bottom mt-3 px-md-5">
    {{
      breadcrumbs(
      "Leistungen",
      "Steckbrief/Bundesstammtext",
      header.back_url,
      )
    }}

    <div class="container m-0 p-0">
      <h1 class="fs-4 fw-semibold mb-2">{{ header.title }}</h1>
    </div>
    <div class="d-flex align-items-center flex-wrap gap-2 mb-3">
      <span class="d-flex flex-row align-items-center gap-1">
        {% if header.redaktion_icon %}
          {{ redaktion_logo_small(header.redaktion_icon) }}
        {% endif %}
        {{ header.redaktion_label }}
      </span>
      <span> • </span> {{ header.leistungsschluessel }}<span> • </span>
      {{ header.typisierung }}
      <button
        type="button"
        class="btn-icon copy-link-btn p-0 mr-auto"
        aria-label="Kopiere Link zu Leistung"
        data-href="{{ baseurl }}{{ header.base_href }}"
        data-bs-toggle="tooltip"
        data-bs-placement="bottom"
        data-bs-title="Link zu Leistung kopieren"
      >
        <i class="bi bi-link-45deg fs-5" aria-hidden="true"></i>
      </button>
    </div>
  </header>
{%- endmacro -%}
